Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# auto_ptr< X > Class Template Reference

Implements the draft C++ standard auto_ptr abstraction. More...

`#include <Auto_Ptr.h>`

Inheritance diagram for auto_ptr< X >:

[legend]
Collaboration diagram for auto_ptr< X >:

[legend]
List of all members.

## Public Member Functions
| auto_ptr (X *p=0)
| auto_ptr (auto_ptr< X > &ap)
X * | operator-> () const

## Detailed Description

### template<class X>
class auto_ptr< X >

Implements the draft C++ standard auto_ptr abstraction.

## Constructor & Destructor Documentation

template<class X>
auto_ptr< X >::auto_ptr | ( | X * | p = `0` | ) | `[inline, explicit]`

template<class X>
auto_ptr< X >::auto_ptr | ( | auto_ptr< X > & | ap | ) | `[inline]`

## Member Function Documentation

template<class X>
ACE_INLINE X * auto_ptr< X >::operator-> | ( |  | ) | const

The documentation for this class was generated from the following files:

- Auto_Ptr.h
- Auto_Ptr.inl